[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadSection

Read the key names in a section

## Declaration

Source position: inifiles.pp line 193

`public procedure TCustomIniFile.ReadSection(`
`const Section: string;`
`Strings: TStrings`
`); virtual; abstract;`

## Arguments

`Section` |  | Section for which to read key names
`Strings` |  | Stringlist to store key names in

## Description

ReadSection will return the names of the keys in section Section in Strings, one string per key. If a non-existing section is specified, the list is cleared. To return the values of the keys as well, the ReadSectionValues method should be used.

## See also

ReadSections |  | Read the list of sections
SectionExists |  | Check if a section exists.
ReadSectionValues |  | Read names and values of a section